<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ezm_white">
    <com.ez.ertc.meeting.widget.MtTitleBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:ezm_tbTitle="@string/ys_mt_test_network"/>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="70dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32"
                    android:text="@string/ys_mt_test_network_cost"/>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="32dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="1px"
                    android:background="@drawable/ezm_bg_test_time_parent">
                    <TextView
                        android:id="@+id/tvCost10S"
                        android:layout_width="111dp"
                        android:layout_height="match_parent"
                        android:background="@drawable/ezm_bg_test_time_left"
                        android:gravity="center"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f32"
                        android:text="@string/ys_mt_test_network_cost_10"/>
                    <View
                        android:layout_width="1px"
                        android:layout_height="match_parent"
                        android:background="#DEDEDE"/>
                    <TextView
                        android:id="@+id/tvCost30S"
                        android:layout_width="111dp"
                        android:layout_height="match_parent"
                        android:background="@drawable/ezm_bg_test_time_right"
                        android:gravity="center"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f32"
                        android:text="@string/ys_mt_test_network_cost_30"/>
                </LinearLayout>
            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/ezm_common_bg"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="70dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32"
                    android:text="@string/ys_mt_test_network_send_mbps"/>
                <Switch
                    android:id="@+id/swUpMbps"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>
            <LinearLayout
                android:id="@+id/llUpMbps"
                android:layout_width="match_parent"
                android:layout_height="117dp"
                android:orientation="vertical"
                android:visibility="gone"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">
                    <TextView
                        android:id="@+id/tvUp1Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_1"/>
                    <TextView
                        android:id="@+id/tvUp2Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_2"/>
                    <TextView
                        android:id="@+id/tvUp4Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_4"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">
                    <TextView
                        android:id="@+id/tvUp6Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_6"/>
                    <TextView
                        android:id="@+id/tvUp8Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_8"/>
                    <TextView
                        android:id="@+id/tvUp12Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_12"/>
                </LinearLayout>
            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/ezm_common_bg"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="70dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32"
                    android:text="@string/ys_mt_test_network_receive_mbps"/>
                <Switch
                    android:id="@+id/swDownMbps"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>
            <LinearLayout
                android:id="@+id/llDownMbps"
                android:layout_width="match_parent"
                android:layout_height="117dp"
                android:orientation="vertical"
                android:visibility="gone"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">
                    <TextView
                        android:id="@+id/tvDown1Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_1"/>
                    <TextView
                        android:id="@+id/tvDown2Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_2"/>
                    <TextView
                        android:id="@+id/tvDown4Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_4"/>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">
                    <TextView
                        android:id="@+id/tvDown6Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_6"/>
                    <TextView
                        android:id="@+id/tvDown8Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_8"/>
                    <TextView
                        android:id="@+id/tvDown12Mbps"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="36dp"
                        android:gravity="center"
                        android:background="@drawable/ezm_bg_test_mbps"
                        android:textColor="@color/ezm_button_text_color_4"
                        android:textSize="@dimen/ezm_f28"
                        android:text="@string/ys_mt_test_network_mbps_12"/>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
    <Button
        android:id="@+id/btnOk"
        style="@style/ezmButton"
        android:layout_width="match_parent"
        android:enabled="true"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="15dp"
        android:layout_marginBottom="10dp"
        android:text="@string/ys_mt_test_button_begin" />
</LinearLayout>